upstream django {
    server ${DJANGO_HOST}:${DJANGO_PORT};
}

server {

    listen 80;
    server_name  _;

    # listen 443 ssl;
    # # force https-redirects
    # ssl_certificate /etc/nginx/certs/certificate.crt;
    # ssl_certificate_key /etc/nginx/certs/private.key;

    # if ($scheme = http) {
    #     return 301 https://$server_name$request_uri;
    # }

    location / {
        proxy_pass http://django;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header Host $host;
        proxy_redirect off;
    }

    location /static {
        autoindex on;
        alias /usr/share/nginx/html/;
    }

    error_page   500 502 503 504  /50x.html;
    location = /50x.html {
        root   html;
    }
}
